読者です 読者をやめる 読者になる 読者になる

のしメモ アプリ開発ブログ

Unityアプリとかロボットとか作ってるときに困ったこととかメモ

Elastic Beanstalk上で'gem install rmagick'が失敗する

Elastic Beanstalk上でGemfileに新しくrmagickを追加した後に、Depolyしたらエラーが起きて詰まったのでメモ

エラー内容

Make sure that `gem install rmagick -v '2.16.0'` succeeds before bundling. (Executor::NonZeroExitStatus)

必要なpackageをebextensionsのyumの項目に追加する

.ebextensions/01_packacge.config

packages:
  yum:
    gcc: []
    git: []
    ruby-devel: []
    ImageMagick: []
    ImageMagick-devel: []
    libxml2: []
    libxml2-devel: []
    libxslt: []
    libxslt-devel: []

インストールが通る!